=== graphs/CMakeLists.txt ===
add_subdirectory(directed)
add_subdirectory(undirected)
