=== share/CMakeLists.txt ===
add_subdirectory(examples)
add_subdirectory(gui)
