=== debian/control ===
Source: graphviz
Section: graphics
Priority: optional
Maintainer: John Ellson <ellson@graphviz.org>
Standards-Version: 3.7.3
Build-Depends: tcl-dev, debhelper (>= 8), libfreetype6-dev, zlib1g-dev, libjpeg-dev, libxaw7-dev, bison, flex, autotools-dev, libexpat1-dev, libfontconfig1-dev, libltdl3-dev, swig, libperl-dev, libgd-dev (>= 2.0.35), groff-base, ghostscript, ruby, ruby-dev (>= 1.8), php-dev (>= 5), python-dev, python-minimal, libcairo2-dev, libpango1.0-dev, guile-2.2-dev, d-shlibs, librsvg2-dev, libgtkglext1-dev, libglade2-dev, libgts-dev, freeglut3-dev, liblua5.3-dev
Homepage: http://www.graphviz.org/

Package: graphviz
Architecture: any
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: gdtclft
Suggests: msttcorefonts, gsfonts, graphviz-doc
Description: rich set of graph drawing tools
 Graph drawing addresses the problem of visualizing structural information
 by constructing geometric representations of abstract graphs and networks.
 Automatic generation of graph drawings has important applications in key
 technologies such as database design, software engineering, VLSI and
 network design and visual interfaces in other domains. Situations where
 these tools might be particularly useful include:
 .
   * you would like to restructure a program and first need to understand
     the relationships between its types, procedures, and source files
   * you need to find the bottlenecks in an Internet backbone - not only
     individual links, but their relationships
   * you're debugging a protocol or microarchitecture represented as a
     finite state machine and need to figure out how a certain
     error state arises
   * you would like to browse a database schema, knowledge base, or
     distributed program represented graphically
   * you would like to see an overview of a collection of linked documents
   * you would like to discover patterns and communities of interest in a
     database of telephone calls or e-mail messages
 .
 This package contains the command-line tools.

Package: libgv-guile
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Guile bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the guile (1.6) bindings.

Package: libgv-lua
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Lua bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the lua5.1 bindings.

Package: libgv-perl
Architecture: any
Section: perl
Depends: libgraphviz4 (= ${binary:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Perl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Perl bindings.

Package: libgv-php5
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Php5 bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Php5 bindings.

Package: libgv-python
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Python bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Python (2.5) bindings.

Package: libgv-ruby
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ruby, ${misc:Depends}
Description: Ruby bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Ruby bindings.


Package: libgv-tcl
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Tcl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Tcl (8.5) bindings.

Package: libgraphviz4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rich set of graph drawing tools
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the libraries.

Package: libgraphviz-dev
Architecture: any
Section: libdevel
Depends: libgraphviz4 (= ${binary:Version}), ${devlibs:Depends}, ${misc:Depends}
Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
Provides: graphviz-dev
Description: graphviz libs and headers against which to build applications
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 Note: A graphviz user doesn't need to install this package.

Package: graphviz-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Conflicts: graphviz (<< 2.12-1)
Suggests: graphviz
Description: additional documentation for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs HTML and PDF documentation for Graphviz, as well as
 examples.

Package: graphviz-dev
Architecture: all
Depends: libgraphviz-dev, ${misc:Depends}
Description: transitional package for graphviz-dev rename
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package is targeted at easing the upgrade from older graphviz-dev to the
 new libgraphviz-dev package.
 .
 This package can be purged at anytime once the libgraphviz-dev package has
 been installed.
